## org.apache.tools.ant.types
Class Environment

    java.lang.Object
      |
      +--org.apache.tools.ant.types.Environment

Direct Known Subclasses:
  CommandlineJava.SysProperties

public class Environment
extends java.lang.Object

Wrapper for environment variables.

Author:
  Stefan Bodewig

Nested Class Summary
`static class` `Environment.Variable` representation of a single env value

Field Summary
`protected java.util.Vector` `variables` a vector of type Enviromment.Variable

Constructor Summary
`Environment()` constructor

Method Summary
`void` `addVariable(Environment.Variable var)` add a variable.
`java.lang.String[]` `getVariables()` get the variable list as an array

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### variables

    protected java.util.Vector variables

  a vector of type Enviromment.Variable

  See Also:
    `Environment.Variable`

Constructor Detail

### Environment

    public Environment()

  constructor

Method Detail

### addVariable

    public void addVariable(Environment.Variable var)

  add a variable. Validity checking is not performed at this point. Duplicates are not caught either.

  Parameters:
    `var` - new variable.

### getVariables

    public java.lang.String[] getVariables()
                                    throws BuildException

  get the variable list as an array

  Returns:
    array of key=value assignment strings
  Throws:
    `BuildException` - if any variable is misconfigured

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.